Bio::Biblio::PubmedArticle(3)

NAME
Bio::Biblio::PubmedArticle - Representation of a PUBMED article

SYNOPSIS
    $obj = Bio::Biblio::PubmedArticle->new
                  (-pubmed_history_list =>
                       [ { 'pub_status' => 'pubmed',
                           'date' => '2001-12-1T10:0:00Z' },
                         { 'pub_status' => 'medline',
                           'date' => '2002-1-5T10:1:00Z' } ],
                   -pubmed_status => 'ppublish');
  #--- OR ---

    $obj = Bio::Biblio::PubmedArticle->new();
    $obj->pubmed_status ('ppublish');

DESCRIPTION
A storage object for a general PUBMED article. See its place in the class hierarchy in http://www.ebi.ac.uk/~senger/openbqs/images/bibobjects_perl.gif

  Attributes
The following attributes are specific to this class (however, you can also set and get all attributes defined in the parent classes):

  pubmed_status
  pubmed_provider_id
  pubmed_history_list       type: array ref of hashes
  pubmed_article_id_list    type: array ref of hashes
  pubmed_url_list           type: array ref of hashes

SEE ALSO

•   OpenBQS home page: http://www.ebi.ac.uk/~senger/openbqs/

•   Comments to the Perl client: http://www.ebi.ac.uk/~senger/openbqs/Client_perl.html

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR
Martin Senger (senger@ebi.ac.uk)

COPYRIGHT
Copyright (c) 2002 European Bioinformatics Institute. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.